<?php
/**
 * The template for displaying the header.
 *
 * Displays everything from the doctype declaration down to the navigation.
 */
$mts_options = get_option(MTS_THEME_NAME);
?>

<!DOCTYPE html>
<html class="no-js" <?php language_attributes(); ?>>
<head>
	<meta charset="<?php bloginfo('charset'); ?>">
	<!-- Always force latest IE rendering engine (even in intranet) & Chrome Frame -->
	<!--[if IE ]>
	<meta http-equiv="X-UA-Compatible" content="IE=edge,chrome=1">
	<![endif]-->
	<link rel="profile" href="http://gmpg.org/xfn/11" />
	<?php mts_meta(); ?>
	<link rel="pingback" href="<?php bloginfo( 'pingback_url' ); ?>" />
	<?php wp_head(); ?>
</head>
<body id="blog" <?php body_class('main'); ?>>	   
	<div class="main-container">
		<header id="site-header" role="banner" itemscope itemtype="http://schema.org/WPHeader">
			<?php if ( $mts_options['mts_header_section2'] == '1' || $mts_options['mts_social_icon_head'] == '1') { ?>
				<div id="header">
					<div class="container">
						<div class="logo-wrap">
							<?php if ($mts_options['mts_logo'] != '') {
								$logo_id = mts_get_image_id_from_url( $mts_options['mts_logo'] );
								$logo_w_h = '';
								if ( $logo_id ) {
									$logo	 = wp_get_attachment_image_src( $logo_id, 'full' );
									$logo_w_h = ' width="'.$logo[1].'" height="'.$logo[2].'"';
								} ?>								
								<?php if( is_front_page() || is_home() || is_404() ) { ?>
									<h1 id="logo" class="image-logo" itemprop="headline">
										<a href="<?php echo esc_url( home_url() ); ?>"><img src="<?php echo esc_url( $mts_options['mts_logo'] ); ?>" alt="<?php echo esc_attr( get_bloginfo( 'name' ) ); ?>"<?php echo $logo_w_h; ?>></a>
									</h1><!-- END #logo -->
								<?php } else { ?>
									<h2 id="logo" class="image-logo" itemprop="headline">
										<a href="<?php echo esc_url( home_url() ); ?>"><img src="<?php echo esc_url( $mts_options['mts_logo'] ); ?>" alt="<?php echo esc_attr( get_bloginfo( 'name' ) ); ?>"<?php echo $logo_w_h; ?>></a>
									</h2><!-- END #logo -->
								<?php } ?>

							<?php } else { ?>

								<?php if( is_front_page() || is_home() || is_404() ) { ?>
									<h1 id="logo" class="text-logo" itemprop="headline">
										<a href="<?php echo esc_url( home_url() ); ?>"><?php bloginfo( 'name' ); ?></a>
									</h1><!-- END #logo -->
								<?php } else { ?>
									<h2 id="logo" class="text-logo" itemprop="headline">
										<a href="<?php echo esc_url( home_url() ); ?>"><?php bloginfo( 'name' ); ?></a>
									</h2><!-- END #logo -->
								<?php } ?>
							<?php } ?>
						</div>
						<div class="header-right">
							<?php if ( is_user_logged_in() ) { ?>
								<a href="<?php echo admin_url('post-new.php'); ?>" class="ago"><?php _e('Write a Story','myblog'); ?></a>
							<?php } ?>
							<?php if ( !empty($mts_options['mts_header_social']) && is_array($mts_options['mts_header_social']) && !empty($mts_options['mts_social_icon_head'])) { ?>
								<div class="header-social">
									<?php foreach( $mts_options['mts_header_social'] as $header_icons ) : ?>
										<?php if( ! empty( $header_icons['mts_header_icon'] ) && isset( $header_icons['mts_header_icon'] ) && ! empty( $header_icons['mts_header_icon_link'] )) : ?>
											<a href="<?php print $header_icons['mts_header_icon_link'] ?>" class="header-<?php print $header_icons['mts_header_icon'] ?>" target="_blank"><span class="fa fa-<?php print $header_icons['mts_header_icon'] ?>"></span></a>
										<?php endif; ?>
									<?php endforeach; ?>
								</div>
							<?php } ?>
							<?php if ( $mts_options['mts_header_search'] == '1' ) { ?>
								<form method="get" id="searchform" class="searchbox search-form" action="<?php echo esc_attr( home_url() ); ?>" _lpchecked="1">
									<input type="text" name="s" id="s" class="searchbox-input" value="<?php the_search_query(); ?>" <?php if (!empty($mts_options['mts_ajax_search'])) echo ' autocomplete="off"'; ?> placeholder="Search" />
									<span class="searchbox-icon"><i class="fa fa-search"></i></span>
								</form>
							<?php } ?>
		 				</div>
					</div>
				</div>
			<?php } ?>
			<?php if ( !empty( $mts_options['mts_show_primary_nav'] ) || !empty( $mts_options['mts_header_search'] ) ) { ?>
				<?php if ( $mts_options['mts_sticky_nav'] == '1' ) { ?>
					<div class="clear" id="catcher"></div>
					<div class="navigation-wrap sticky-navigation<?php if ( '1' === $mts_options['mts_sticky_nav_scroll'] ) echo ' sticky-navigation-up-down';?>">
				<?php } else { ?>
					<div class="navigation-wrap">
				<?php } ?>
					<div class="container">
						<?php if ( $mts_options['mts_show_primary_nav'] == '1' ) { ?>
							<div id="secondary-navigation" role="navigation" itemscope itemtype="http://schema.org/SiteNavigationElement">
								<a href="#" id="pull" class="toggle-mobile-menu"><?php _e('Menu', 'myblog' ); ?></a>
								<?php if ( has_nav_menu( 'mobile' ) ) { ?>
									<nav class="navigation clearfix">
										<?php if ( has_nav_menu( 'primary-menu' ) ) { ?>
											<?php wp_nav_menu( array( 'theme_location' => 'primary-menu', 'menu_class' => 'menu clearfix', 'container' => '', 'walker' => new mts_menu_walker ) ); ?>
										<?php } else { ?>
											<ul class="menu clearfix">
												<?php wp_list_categories('title_li='); ?>
											</ul>
										<?php } ?>
									</nav>
									<nav class="navigation mobile-only clearfix mobile-menu-wrapper">
										<?php wp_nav_menu( array( 'theme_location' => 'mobile', 'menu_class' => 'menu clearfix', 'container' => '', 'walker' => new mts_menu_walker ) ); ?>
									</nav>
								<?php } else { ?>
									<nav class="navigation clearfix mobile-menu-wrapper">
										<?php if ( has_nav_menu( 'primary-menu' ) ) { ?>
											<?php wp_nav_menu( array( 'theme_location' => 'primary-menu', 'menu_class' => 'menu clearfix', 'container' => '', 'walker' => new mts_menu_walker ) ); ?>
										<?php } else { ?>
											<ul class="menu clearfix">
												<?php wp_list_categories('title_li='); ?>
											</ul>
										<?php } ?>
									</nav>
								<?php } ?>
								<?php if ( is_user_logged_in() ) { ?>
									<div class="login-wrap logged-in">
										<?php $current_user = wp_get_current_user();
										echo get_avatar( $current_user->ID, 72 ); ?>
										<span class="user-name"><?php echo $current_user->display_name; ?></span>
										<div class="logged-in-sub">
											<a href="<?php echo get_edit_user_link(); ?>"><?php _e('Edit Profile','myblog'); ?></a>
											<a href="<?php echo wp_logout_url(); ?>"><?php _e('Logout','myblog'); ?></a>
										</div>
									</div>
								<?php } else { ?>
									<div class="login-wrap not-logged-in">
										<?php if($mts_options['mts_primary_nav_login']) { ?>
											<a href="<?php echo wp_login_url(); ?>"><?php _e('Login','myblog'); ?></a>
										<?php } ?>
										<?php if($mts_options['mts_primary_nav_login'] && $mts_options['mts_primary_nav_register']) { ?><span class=""> / </span><?php } ?>
										<?php if($mts_options['mts_primary_nav_register']) { ?>
											<a href="<?php echo wp_registration_url(); ?>"><?php _e('Register','myblog'); ?></a>
										<?php } ?>
									</div>
								<?php } ?>
							</div>
						<?php } ?>
					</div>
				</div>
			<?php } ?>
		</header>

		<?php // Carousel
		if ($mts_options['mts_header_slider'] == '1' && !is_singular() ) { ?>
			<div class="full-slider-container clearfix loading">
				<div id="slider" class="full-slider">
					<?php if ( empty( $mts_options['mts_header_slider_cat'] ) || !is_array( $mts_options['mts_header_slider_cat'] ) ) {
						$mts_options['mts_header_slider_cat'] = array('0');
					}

					$slider_cat = implode( ",", $mts_options['mts_header_slider_cat'] );
					$slider_query = new WP_Query('cat='.$slider_cat.'&posts_per_page='.$mts_options['mts_header_slider_num']);
					while ( $slider_query->have_posts() ) : $slider_query->the_post(); ?>
					<div class="slider-inner">
						<a href="<?php the_permalink() ?>">
							<?php the_post_thumbnail('myblog-carousel',array('class' => 'attachment-slider wp-post-image')); ?>
							<div class="slide-caption">
								<div class="post-info"><?php the_author_meta( 'display_name' ); ?></div>
								<h2 class="slide-title"><?php the_title(); ?></h2>
							</div>
						</a> 
					</div>
					<?php endwhile; wp_reset_query(); ?>
			 	</div><!-- .primary-slider -->
			</div><!-- .primary-slider-container -->
		<?php } ?>
