<?php
/**
 * The template for displaying all single posts.
 */
$mts_options = get_option(MTS_THEME_NAME);

get_header();

// Carousel
if ($mts_options['mts_header_slider'] == '1' && $mts_options['mts_header_slider_single'] == '1' ) { ?>
	<div class="full-slider-container clearfix loading">
		<div id="slider" class="full-slider">
			<?php if ( empty( $mts_options['mts_header_slider_cat'] ) || !is_array( $mts_options['mts_header_slider_cat'] ) ) {
				$mts_options['mts_header_slider_cat'] = array('0');
			}

			$slider_cat = implode( ",", $mts_options['mts_header_slider_cat'] );
			$slider_query = new WP_Query('cat='.$slider_cat.'&posts_per_page='.$mts_options['mts_header_slider_num']);
			while ( $slider_query->have_posts() ) : $slider_query->the_post(); ?>
			<div class="slider-inner">
				<a href="<?php the_permalink() ?>">
					<?php the_post_thumbnail('myblog-carousel',array('class' => 'attachment-slider wp-post-image')); ?>
					<div class="slide-caption">
						<div class="post-info"><?php the_author_meta( 'display_name' ); ?></div>
						<h2 class="slide-title"><?php the_title(); ?></h2>
					</div>
				</a>
			</div>
			<?php endwhile; wp_reset_query(); ?>
	 	</div><!-- .primary-slider -->
	</div><!-- .primary-slider-container -->
<?php } ?>

<div id="page" class="<?php mts_single_page_class(); ?>">
	<?php if ( ! empty( $mts_options['mts_ajax_single_load'] ) ) { ?>
	<div id="container-<?php the_ID(); ?>" class="container-inner clearfix" data-post-url="<?php echo esc_url(get_the_permalink()); ?>">
	<?php } ?>
	<?php $header_animation = mts_get_post_header_effect(); ?>
	<?php if ( 'parallax' === $header_animation ) {?>
		<?php if (mts_get_thumbnail_url()) : ?>
			<div id="parallax" <?php echo 'style="background-image: url('.mts_get_thumbnail_url().');"'; ?>></div>
		<?php endif; ?>
	<?php } else if ( 'zoomout' === $header_animation ) {?>
		 <?php if (mts_get_thumbnail_url()) : ?>
			<div id="zoom-out-effect"><div id="zoom-out-bg" <?php echo 'style="background-image: url('.mts_get_thumbnail_url().');"'; ?>></div></div>
		<?php endif; ?>
	<?php } ?>

		<article class="<?php mts_article_class(); ?>">
			<div id="content_box" >
				<?php if ( have_posts() ) while ( have_posts() ) : the_post(); ?>
					<div id="post-<?php the_ID(); ?>" <?php post_class('g post'); ?>>
						<?php
						if ( '1' === $mts_options['mts_breadcrumb'] ) {
							mts_the_breadcrumb();
						}
						// Single post parts ordering
						if ( isset( $mts_options['mts_single_post_layout'] ) && is_array( $mts_options['mts_single_post_layout'] ) && array_key_exists( 'enabled', $mts_options['mts_single_post_layout'] ) ) {
							$single_post_parts = $mts_options['mts_single_post_layout']['enabled'];
						} else {
							$single_post_parts = array( 'content' => 'content', 'related' => 'related', 'author' => 'author' );
						}
						foreach( $single_post_parts as $part => $label ) {
							switch ($part) {
								case 'content':
									?>
									<div class="single_post">
										<?php
											echo '<div class="featured-post-format post-format-container clearfix">';
												get_template_part( 'post-format/format', get_post_format() );
											echo '</div>'; ?>
										<div class="post-info-meta">
											<?php mts_the_postinfo();

											$post_format = get_post_format();
											if('' == $post_format ){
												$icon_class = 'thumb-tack';
											}
											else if('gallery' == $post_format ){
												$icon_class = 'picture-o';
											}
											else if('audio' == $post_format ){
												$icon_class = 'music';
											}
											else if('video' == $post_format ){
												$icon_class = 'video-camera';
											}
											else if('quote' == $post_format ){
												$icon_class = 'quote-left';
											}
											else{
												$icon_class = 'picture-o';
											}
											if(!empty($icon_class) && ( $mts_options['mts_single_post_format_icons'] == '1' ) ) {
												echo '<div class="post-format-icons"><i class="fa fa-'.$icon_class.'"></i></div>';
											} ?>
										</div>
										<header>
											<h1 class="title single-title entry-title"><?php the_title(); ?></h1>
										</header><!--.headline_area-->
										<div class="post-single-content box mark-links entry-content">
											<?php // Top Ad Code ?>
											<?php if ($mts_options['mts_posttop_adcode'] != '') { ?>
												<?php $toptime = $mts_options['mts_posttop_adcode_time']; if (strcmp( date("Y-m-d", strtotime( "-$toptime day")), get_the_time("Y-m-d") ) >= 0) { ?>
													<div class="topad">
														<?php echo do_shortcode($mts_options['mts_posttop_adcode']); ?>
													</div>
												<?php } ?>
											<?php } ?>

											<?php // Top Social Share ?>
											<?php if (isset($mts_options['mts_social_button_position']) && $mts_options['mts_social_button_position'] == 'top') mts_social_buttons(); ?>

											<?php // Content ?>
											<div class="thecontent">
												<?php the_content(); ?>
											</div>

											<?php // Single Pagination ?>
											<?php wp_link_pages(array('before' => '<div class="pagination">', 'after' => '</div>', 'link_before'  => '<span class="current"><span class="currenttext">', 'link_after' => '</span></span>', 'next_or_number' => 'next_and_number', 'nextpagelink' => '<i class="fa fa-chevron-right" aria-hidden="true"></i>', 'previouspagelink' => '<i class="fa fa-chevron-left" aria-hidden="true"></i>', 'pagelink' => '%','echo' => 1 )); ?>

											<?php // Bottom Ad Code ?>
											<?php if ($mts_options['mts_postend_adcode'] != '') { ?>
												<?php $endtime = $mts_options['mts_postend_adcode_time']; if (strcmp( date("Y-m-d", strtotime( "-$endtime day")), get_the_time("Y-m-d") ) >= 0) { ?>
													<div class="bottomad">
														<?php echo do_shortcode($mts_options['mts_postend_adcode']); ?>
													</div>
												<?php } ?>
											<?php } ?>

											<?php // Bottom Social Share ?>
											<?php
											if ($mts_options['mts_social_button_position'] == 'floating' ) echo '<div class="catchersocial" class="clear"></div><div class="catchersocial2" class="clear"></div>';
											if ($mts_options['mts_social_button_position'] !== 'top' ) mts_social_buttons();
											?>
											<?php if($mts_options['mts_like_button']) { ?>
												<div class="mts-like">
													<?php echo get_simple_likes_button( get_the_ID() ); ?>
												</div>
											<?php } ?>
											<div class="content-end clearfix"></div>
										</div><!--.post-single-content-->
									</div><!--.single_post-->
									<?php
								break;

								case 'tags':
									mts_the_tags('<div class="tags">',' ');
								break;

								case 'related':
									mts_related_posts();
								break;

								case 'author':
									?>
									<div class="postauthor">
										<?php if(function_exists('get_avatar')) { echo get_avatar( get_the_author_meta('email'), '85' );  } ?>
										<h5 class="vcard author"><a href="<?php echo esc_url( get_author_posts_url( get_the_author_meta( 'ID' ) ) ); ?>" class="fn"><?php the_author_meta( 'display_name' ); ?></a></h5>
										<p><?php the_author_meta('description') ?></p>
										<?php
											$userID = get_the_author_meta( 'ID' );
											$facebook = get_the_author_meta( 'facebook', $userID );
											$twitter = get_the_author_meta( 'twitter', $userID );
											$google = get_the_author_meta( 'google', $userID );
											$pinterest = get_the_author_meta( 'pinterest', $userID );
											$instagram = get_the_author_meta( 'instagram', $userID );
											$linkedin = get_the_author_meta( 'linkedin', $userID );

											if(!empty($facebook) || !empty($twitter) || !empty($google) || !empty($pinterest) || !empty($instagram) || !empty($linkedin)){
												echo '<div class="author-social">';
													if($facebook){
														echo '<a href="'.$facebook.'" class="author-facebook"><i class="fa fa-facebook"></i></a>';
													}
													if($twitter){
														echo '<a href="'.$twitter.'" class="author-twitter"><i class="fa fa-twitter"></i></a>';
													}
													if($google){
														echo '<a href="'.$google.'" class="author-gplus"><i class="fa fa-google-plus"></i></a>';
													}
													if($pinterest){
														echo '<a href="'.$pinterest.'" class="author-pinterest"><i class="fa fa-pinterest"></i></a>';
													}
													if($instagram){
														echo '<a href="'.$instagram.'" class="author-instagram"><i class="fa fa-instagram"></i></a>';
													}
													if($linkedin){
														echo '<a href="'.$linkedin.'" class="author-linkedin"><i class="fa fa-linkedin"></i></a>';
													}
												echo '</div>';
											}
										?>
									</div>
									<?php
								break;
							}
						}
						?>
					</div><!--.g post-->
					<?php comments_template( '', true ); ?>
				<?php endwhile; /* end loop */ ?>
			</div>
		</article>
		<?php get_sidebar(); ?>

		<?php
		if ( ! empty( $mts_options['mts_ajax_single_load'] ) ) {

		if ( 'all' === $mts_options['mts_ajax_single_load_type'] ) {
			$next_post = get_previous_post();
		} else {
			$next_post = get_previous_post( true, '', $mts_options['mts_ajax_single_load_type'] );
		}
		if ( 'post_tag' === $mts_options['mts_ajax_single_load_type'] ) {
			$terms = wp_get_post_tags();
		} else {
			$terms = get_the_category();
		}
		$next_post_id = empty( $next_post ) ? "" : $next_post->ID;
		$next_post_link = empty( $next_post ) ? "" : get_the_permalink( $next_post_id );
		if ( empty( $next_post ) ) {
			if ( ! empty( $terms ) ) {
				$first_post = mts_get_last_post( $terms[0]->term_id, get_the_ID(), $mts_options['mts_ajax_single_load_type'] );
				if ( $first_post ) {
					$next_post_id = $first_post->ID;
					$next_post_link = get_the_permalink( $next_post_id );
				}
			}
		}
		?>
		<div class="single-post-end" data-next-post-id="<?php echo esc_attr( $next_post_id ); ?>" data-next-post-url="<?php echo esc_url( $next_post_link ); ?>"></div>
	</div>
	<?php }

get_footer(); ?>
